/*
 * probelib.c - provides functions for probes, so they don't have to link
 *              against the full libbdevid
 *
 * Copyright 2006-2008 Red Hat, Inc.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author(s): Peter Jones <pjones@redhat.com>
 */

#define _GNU_SOURCE 1

#include <stdio.h>
#include <string.h>

#include "bdevid.h"
#include "priv.h"

struct bdevid_probe_result {
    struct bdevid_module *m;
    struct bdevid_probe *p;

    char *vendor;
    char *model;
    char *unique_id;
};

int
bdevid_bdev_get_fd(struct bdevid_bdev *bdev)
{
    return bdev->fd;
}

char *
bdevid_bdev_get_sysfs_dir(struct bdevid_bdev *bdev)
{
    static char buf[1024] = {0};

    snprintf(buf, 1023, "/sys/block/%s", bdev->sysfs_dir);
    return buf;
}


/*
 * vim:ts=8:sw=4:sts=4:et
 */
