/*
 * block.h -- find/create block devices and their fs nodes
 *
 * Copyright 2006-2008 Red Hat, Inc.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author(s): Peter Jones <pjones@redhat.com>
 */

#ifndef NASH_PRIV_BLOCK_H
#define NASH_PRIV_BLOCK_H 1

#include <nash/block.h>

struct nash_block_dev {
    enum {
        UNALLOCATED,
        ADD,
        REMOVE,
    } type;
    char *sysfs_path;
    char *dev_path;
    dev_t devno;
};

extern void block_show_labels(nashContext *c, int removables);

#endif /* NASH_PRIV_BLOCK_H */

/*
 * vim:ts=8:sw=4:sts=4:et
 */
