/*
 * blkent.h - API for blktab entry management
 *
 * Copyright 2006-2008 Red Hat, Inc.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author(s): Peter Jones <pjones@redhat.com>
 */

#ifndef BLKENT_H
#define BLKENT_H 1

#include <stdio.h>

struct blkent {
    char *blk_name;     /* symbolic block device name */
    char *blk_type;     /* rule type */
    char *blk_opts;     /* opts */
};

extern FILE *setblkent(const char *file, const char *mode);

extern struct blkent *getblkent(FILE *stream);

extern struct blkent *getblkent_r(FILE *stream,
                                   struct blkent *result,
                                   char *buffer,
                                   int bufsize);

extern int addblkent(FILE *stream, const struct blkent *mnt);

extern int endblkent(FILE *stream);

extern char *hasblkopt(const struct blkent *blk, const char *opt);

extern char *dupblkopt(char *start, const char *opt);
#endif /* defined(BLKENT_H) */
/*
 * vim:ts=8:sw=4:sts=4:et
 */
